package com.goafanti.admin.service;

import com.goafanti.admin.bo.KnowledgeBaseBo;
import com.goafanti.common.model.JtKnowledgeBase;
import com.goafanti.core.mybatis.page.Pagination;

public interface CommunityService {
	/**
	 * 列表数据
	 * @param knowledgeBase
	 * @param pageNo
	 * @param pageSize
	 * @return
	 */
	Pagination<KnowledgeBaseBo> getJtKnowledgeBaseList(KnowledgeBaseBo knowledgeBase, Integer pageNo, Integer pageSize, Integer ob);
	
	/**
	 * 根据id等获得数据
	 * @param o
	 * @return
	 */
	KnowledgeBaseBo getCommunintyById(JtKnowledgeBase o);
	
	/**
	 * 插入数据
	 * @param o
	 * @return
	 */
	int insertCommunity(JtKnowledgeBase o);
	
	/**
	 * 修改数据
	 * @param o
	 * @return
	 */
	int updateCommunity(JtKnowledgeBase o);
	
	/**
	 * 检查名称
	 * @param name
	 * @return
	 */
	int nameCheck(String name);
	
	/**
	 * 加一个阅读量
	 * @return
	 */
	int addRead(String id);
	/**
	 * 加一个评论量
	 * @return
	 */
	int addComment(String id);
	/**
	 * 加一个点赞量
	 * @return
	 */
	int addStar(String id);
	
	
}
